#!/bin/sh
echo 'name: snap-core
version: 0.5.2
id: snap-core-0.5.2-5d0b14d3bd30a7193a449e88bf5b5edc

license: BSD3
copyright:
maintainer: snap@snapframework.com
stability:
homepage: http://snapframework.com/
package-url:
description: Snap is a simple and fast web development framework and server written in
             Haskell. For more information or to download the latest version, you can
             visit the Snap project website at <http://snapframework.com/>.
             .
             This library contains the core definitions and types for the Snap framework,
             including:
             .
             1. Primitive types and functions for HTTP (requests, responses, cookies,
             post/query parameters, etc)
             .
             2. Type aliases and helper functions for Iteratee I/O
             .
             3. A monad for programming web handlers called \"Snap\", inspired by
             happstack'\''s (<http://happstack.com/index.html>), which allows:
             .
             * Stateful access to the HTTP request and response objects
             .
             * Monadic failure (i.e. MonadPlus/Alternative instances) for declining
             to handle requests and chaining handlers together
             .
             * Early termination of the computation if you know early what you want
             to return and want to prevent further monadic processing
             .
             /Quick start/: The '\''Snap'\'' monad and HTTP definitions are in "Snap.Types",
             some iteratee utilities are in "Snap.Iteratee".
             .
             Higher-level facilities for building web applications (like user/session
             management, component interfaces, data modeling, etc.) are planned but not
             yet implemented, so this release will mostly be of interest for those who:
             .
             * need a fast and minimal HTTP API at roughly the same level of abstraction
             as Java servlets, or
             .
             * are interested in contributing to the Snap Framework project.
category: Web
author: James Sanders, Shu-yu Guo, Gregory Collins, Doug Beardsley
exposed: True
exposed-modules: Snap.Types Snap.Iteratee Snap.Internal.Debug
                 Snap.Internal.Http.Types Snap.Internal.Iteratee.Debug
                 Snap.Internal.Parsing Snap.Util.FileServe Snap.Util.FileUploads
                 Snap.Util.GZip Snap.Util.Readable
hidden-modules: Snap.Internal.Instances
                Snap.Internal.Iteratee.BoyerMooreHorspool Snap.Internal.Routing
                Snap.Internal.Types
import-dirs: /usr/local/lib/ghc-7.0.3/cabal/snap-core-0.5.2
library-dirs: /usr/local/lib/ghc-7.0.3/cabal/snap-core-0.5.2
              /usr/local/lib
hs-libraries: HSsnap-core-0.5.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: MonadCatchIO-transformers-0.2.2.2-84aa40f69daa719524ae26f28e6cfb88
         attoparsec-0.9.1.1-7802949973df2994e2c3f765eadfeb1c
         attoparsec-enumerator-0.2.0.4-8cbb1aa07ebcb901b4985f6808d055ed
         base-4.3.1.0-93a63ba911a7eac625848432374f7fee
         blaze-builder-0.3.0.1-f04ac78deda4862ea589cfaee6d1e34d
         bytestring-0.9.1.10-8fbcae7fd1f192307195284611c786a2
         bytestring-nums-0.3.3-febbf82347e45c17d1f09416c7d52406
         case-insensitive-0.3.0.1-1a69264e1fab62d036aece3ec1391343
         containers-0.4.0.0-18deac99a132f04751d862b77aab136e
         deepseq-1.1.0.2-09b3aed0c4982bbc6569c668100876fa
         directory-1.1.0.0-ccdcf043bf8bcec9518fbfad880579a5
         dlist-0.5-7af76ca304bfdc972badbaffe8582d08
         enumerator-0.4.13.1-92131084023a0b6405ad210fdae5d880
         filepath-1.2.0.0-679ac50c41ba31bfc69abf444d9852e4
         mtl-2.0.1.0-9763a8821c812a910d327bad2c0d23b2
         old-locale-1.0.0.2-6e2a3c0744e8cf4e0ac2d4e58659f7b5
         old-time-1.0.0.6-37d6575186c36059fbc372c289dbddd4
         text-0.11.0.6-6ec4b304ae0e3c738fac5c5ec66848ad
         time-1.2.0.3-57ebba2cc05370f666b7eceba5e468a9
         transformers-0.2.2.0-a8a2dbba7d96131db605cf631ea0c8c4
         unix-compat-0.2.2.1-a69f7ee43a9f0a72c5d12afaa474291a
         vector-0.7.1-d0453ff83191033a2912b337e66eb0f7
         zlib-0.5.3.1-5fbdf714525b76e0e601c2ffb25f2044
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.0.3/cabal/snap-core-0.5.2/html/snap-core.haddock
haddock-html: /usr/local/share/doc/ghc-7.0.3/cabal/snap-core-0.5.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
